org.apache.jmeter.threads

## Enum JMeterContext.TestLogicalAction

- java.lang.Object
- - java.lang.Enum<JMeterContext.TestLogicalAction>
  - - org.apache.jmeter.threads.JMeterContext.TestLogicalAction

All Implemented Interfaces:
  Serializable, Comparable<JMeterContext.TestLogicalAction>

Enclosing class:
  JMeterContext

    public static enum JMeterContext.TestLogicalAction
    extends Enum<JMeterContext.TestLogicalAction>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`BREAK_CURRENT_LOOP`
`CONTINUE`
`START_NEXT_ITERATION_OF_CURRENT_LOOP`
`START_NEXT_ITERATION_OF_THREAD`

### Method Summary

All Methods Static Methods Concrete Methods
`static JMeterContext.TestLogicalAction` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static JMeterContext.TestLogicalAction[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CONTINUE

    public static final JMeterContext.TestLogicalAction CONTINUE

#### START_NEXT_ITERATION_OF_THREAD

    public static final JMeterContext.TestLogicalAction START_NEXT_ITERATION_OF_THREAD

#### START_NEXT_ITERATION_OF_CURRENT_LOOP

    public static final JMeterContext.TestLogicalAction START_NEXT_ITERATION_OF_CURRENT_LOOP

#### BREAK_CURRENT_LOOP

    public static final JMeterContext.TestLogicalAction BREAK_CURRENT_LOOP

### Method Detail

#### values

    public static JMeterContext.TestLogicalAction[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (JMeterContext.TestLogicalAction c : JMeterContext.TestLogicalAction.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static JMeterContext.TestLogicalAction valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null